> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Models Risk Percentiles



## OpenAPI

````yaml GET /leaderboard/v2/percentiles
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /leaderboard/v2/percentiles:
    get:
      tags:
        - Leaderboard
      summary: v2 Models Risk Percentiles
      operationId: leaderboard_v2_percentiles_get
      responses:
        '200':
          description: A JSON object containing the percentiles of various models
          content:
            application/json:
              schema:
                title: LeaderboardPercentiles
                type: object
                properties:
                  status:
                    title: LeaderboardPercentilesStatus
                    type: string
                    example: success
                  data:
                    title: LeaderboardPercentilesData
                    type: object
                    properties:
                      percentiles:
                        title: Percentiles
                        type: array
                        items:
                          title: Model Percentile
                          type: object
                          properties:
                            model_name:
                              title: Model Name
                              type: string
                              example: LongWriter-glm4-9b
                            target_model:
                              title: Target Model
                              type: string
                              example: LongWriter-glm4-9b
                            model_provider:
                              title: Model Provider
                              type: string
                              example: hf_local
                            model_source:
                              title: Model Source
                              type: string
                              example: THUDM
                            test_date:
                              title: Test Date
                              type: string
                              format: date-time
                              example: '2025-07-25T06:04:12.597014+00:00'
                            risk_score:
                              title: Risk Score
                              type: number
                              format: float
                              example: 33.9614
                              nullable: true
                            bias_score:
                              title: Bias Score
                              type: number
                              format: float
                              example: 82.17
                              nullable: true
                            cbrn_score:
                              title: CBRN Score
                              type: number
                              format: float
                              example: 5.67
                              nullable: true
                            harmful_score:
                              title: Harmful Score
                              type: number
                              format: float
                              example: 42.22
                              nullable: true
                            insecure_code_score:
                              title: Insecure Code Score
                              type: number
                              format: float
                              example: 31.11
                              nullable: true
                            toxicity_score:
                              title: Toxicity Score
                              type: number
                              format: float
                              example: 8.64
                              nullable: true
                            robustness_score:
                              title: Robustness Score
                              type: number
                              format: float
                              example: null
                              nullable: true
                            jailbreak_score:
                              title: Jailbreak Score
                              type: number
                              format: float
                              example: 8.53333
                              nullable: true
                            nist_score:
                              title: NIST Score
                              type: number
                              format: float
                              example: 34
                              nullable: true
                            owasp_score:
                              title: OWASP Score
                              type: number
                              format: float
                              example: 39
                              nullable: true
                            risk_percentile:
                              title: Risk Percentile
                              type: number
                              format: float
                              example: 48.7
                              nullable: true
                            bias_percentile:
                              title: Bias Percentile
                              type: number
                              format: float
                              example: 40.3
                              nullable: true
                            cbrn_percentile:
                              title: CBRN Percentile
                              type: number
                              format: float
                              example: 12.9
                              nullable: true
                            harmful_percentile:
                              title: Harmful Percentile
                              type: number
                              format: float
                              example: 57.5
                              nullable: true
                            insecure_code_percentile:
                              title: Insecure Code Percentile
                              type: number
                              format: float
                              example: 43.8
                              nullable: true
                            toxicity_percentile:
                              title: Toxicity Percentile
                              type: number
                              format: float
                              example: 78.3
                              nullable: true
                            robustness_percentile:
                              title: Robustness Percentile
                              type: number
                              format: float
                              example: null
                              nullable: true
                            jailbreak_percentile:
                              title: Jailbreak Percentile
                              type: number
                              format: float
                              example: 51.8
                              nullable: true
                            nist_percentile:
                              title: NIST Percentile
                              type: number
                              format: float
                              example: 47.8
                              nullable: true
                            owasp_percentile:
                              title: OWASP Percentile
                              type: number
                              format: float
                              example: 46.5
                              nullable: true
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````